Function
empty
Test a container for being empty.
Class.RankSupportBitString
bool empty(object)
Include Headers
seqan/graph_types.h, seqan/sequence.h
Parameters

object | A container. Types: char array, CompressedSA, Graph, Holder, PriorityType, RankSupportBitString, RightArrayBinaryTree, Segment, SparseString, std::basic_string, std::vector, String, String, thrust::device_vector

Remarks
empty(x) is guaranteed to be at least as fast as length(me) == 0, but can be significantly faster in some cases.
Return Values
true if object contains no elements, otherwise false.
Member of
String, CompressedSA, std::basic_string, Graph, thrust::device_vector, PriorityType, RightArrayBinaryTree, std::vector, Holder, SparseString
Part of Concept
ContainerConcept, Container
See Also
emptyHost, length
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58